---
schema_version: "1"
id: 94272c4c22b0d479d2038fa8fe7bf84f4708d533d9df4dad30cba8480179f337
title: SF Merchant
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries-integrations/financial_services/references/generated-api-specs/sfmerchant.md
canonical_url: https://developer.salesforce.com/docs/industries/fsc/references/sfmerchant
source_site: developer.salesforce.com
content_type: documentation
content_hash: 9c07c5685e49120eeb6984841777c16801d4974fb0410a2e99e539890475c004
products:
  - Agentforce Financial Services
  - Industries Integrations
---
SF Merchant

# SF Merchant

SFMerchant Event Notification.

**Version:** v1

Protocols: HTTPS.

## Security

*   `basic` (Basic Authentication) This API supports Basic Authentication.

## Operations

### POST Notify Events Callback

`POST /third-party/ethoca/alert-callback`

Security: basic.

Ethoca Event Notification Callback.

#### Request body

Media type: `application/json`. Schema: `CallbackEventsRequestType`.

#### Responses

*   **200** Ethoca Event Notification Callback Request Received.
    
    Media type: `application/json`. Schema: `string`.
    
    Type: `string`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** Found no valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "406"
    errorMessage: The requested resource cannot generate acceptable content according to the Accept headers sent in the request.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "415"
    errorMessage: The server denied the request because it is not in a format supported by the target resource.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

## Schemas

### CallbackEventsRequestType

*   `events` (_array of object_, required)  
    Minimum items: 1. Maximum items: 1000.
    *   `id` (_string_, required) The ID required to get more information regarding this event.  
        Example: `3a375ce5-5e1d-40a7-97b5-1514a0876364`.
    *   `eventType` (_string_, required) The type of event.  
        Allowed values: `Batch Processed`, `Alert Outcome Updated`. Example: `Batch Processed`.
    *   `_links` (_object_, required)
        *   `resource` (_string_, required) A link to the resource to get more information regarding this event.The batchId which is the last element in the link path corresponds to the batchId of submitted transactions for 'Batch Processed' type and a generated batchId for a batch of outcomes processed which is a subset of submitted transactions for 'Alert Outcome Updated' type.  
            Example: `https://www.ethocaweb.com/ethoca-rest/rest/api/v1/transactions/batch/3a375ce5-5e1d-40a7-97b5-1514a0876364`.

### ErrorResponse

Represents a standard message body to be returned with the error responses.

*   `errorCode` (_string_, required) Specifies the short code to identify the error.  
    Example: `INVALID_PARAMETER`.
*   `errorMessage` (_string_, required) Specifies the verbose human-readable error message.  
    Example: `The value you entered is out of bounds`.
*   `transactionId` (_string_, required) Specifies the request identifier.  
    Example: `dd960082-abbf-47c2-8c65-f18eeb35848b`.
*   `timeStamp` (_datetime_, required) Specifies the event date time.  
    Example: `2019-09-23T11:46:44.256-05:00`.